Page MenuHomePhabricator

Echo notifications automation smoke test
Closed, ResolvedPublic

Description

Create a node.js smoke test (Selenium, api)

  • Notifications flyouts present (for alerts and notices) 493640, 494533
  • Special:Notifications page is present 497671
  • Welcome notification is present for a new user 494535
  • Mention notification 507536

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 25 2019, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
zeljkofilipin triaged this task as Normal priority.Feb 26 2019, 10:37 AM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

Change 493640 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for alerts' flyout

https://gerrit.wikimedia.org/r/493640

Change 493642 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for notices' flyout

https://gerrit.wikimedia.org/r/493642

Change 493643 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for welcome notification

https://gerrit.wikimedia.org/r/493643

Change 493644 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for Notifications Page

https://gerrit.wikimedia.org/r/493644

Change 493642 abandoned by Ephemeralwaves:
Test that checks for notices' flyout

Reason:
creating smaller commit

https://gerrit.wikimedia.org/r/493642

Change 493643 abandoned by Ephemeralwaves:
Test that checks for welcome notification

Reason:
creating smaller commit

https://gerrit.wikimedia.org/r/493643

Change 493644 abandoned by Ephemeralwaves:
Test that checks for Notifications Page

Reason:
creating smaller commit

https://gerrit.wikimedia.org/r/493644

Change 493640 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Test that checks for alerts' flyout

https://gerrit.wikimedia.org/r/493640

Change 494533 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for notices' flyout

https://gerrit.wikimedia.org/r/494533

Change 494535 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for welcome notification

https://gerrit.wikimedia.org/r/494535

Etonkovidova renamed this task from Echo automation smoke test to Echo notifications automation smoke test.Mar 6 2019, 5:28 PM
Etonkovidova updated the task description. (Show Details)

Change 493644 restored by Zfilipin:
Test that checks for Notifications Page

https://gerrit.wikimedia.org/r/493644

Change 493643 restored by Zfilipin:
Test that checks for welcome notification

https://gerrit.wikimedia.org/r/493643

Change 493642 restored by Zfilipin:
Test that checks for notices' flyout

https://gerrit.wikimedia.org/r/493642

Change 493642 abandoned by Ephemeralwaves:
Test that checks for notices' flyout

Reason:
duplicate

https://gerrit.wikimedia.org/r/493642

Change 493643 abandoned by Ephemeralwaves:
Test that checks for welcome notification

Reason:
duplicate

https://gerrit.wikimedia.org/r/493643

Change 497671 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for Notifications Page

https://gerrit.wikimedia.org/r/497671

Change 493644 abandoned by Ephemeralwaves:
Test that checks for Notifications Page

Reason:
refactored this test

https://gerrit.wikimedia.org/r/493644

Etonkovidova updated the task description. (Show Details)Mar 20 2019, 5:01 PM

Change 494535 had a related patch set uploaded (by Zfilipin; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for welcome notification

https://gerrit.wikimedia.org/r/494535

Change 497671 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium: the first test for Special:Notifications

https://gerrit.wikimedia.org/r/497671

Change 494533 had a related patch set uploaded (by Zfilipin; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Selenium: notices' flyout

https://gerrit.wikimedia.org/r/494533

Change 494533 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium: notices' flyout

https://gerrit.wikimedia.org/r/494533

Change 507536 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test that checks for user mention alerts

https://gerrit.wikimedia.org/r/507536

Change 508350 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Send e-mail notification to Ephemeralwaves if a job fails

https://gerrit.wikimedia.org/r/508350

Change 508350 merged by jenkins-bot:
[integration/config@master] Send e-mail notification to Ephemeralwaves if a job fails

https://gerrit.wikimedia.org/r/508350

Change 494535 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Test that checks for welcome notification

https://gerrit.wikimedia.org/r/494535

Change 511099 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] WIP Test that checks for user mention alerts

https://gerrit.wikimedia.org/r/511099

Change 511099 abandoned by Ephemeralwaves:
WIP Test that checks for user mention alerts

https://gerrit.wikimedia.org/r/511099

Etonkovidova updated the task description. (Show Details)May 28 2019, 7:06 AM
Etonkovidova closed this task as Resolved.Jun 3 2019, 3:14 PM

The patches are merged and tests are running in betalabs.